<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="QA_Check.aspx.cs" Inherits="RM.Web.Mall.QA.QA_Check" %>

<%@ Register Src="/UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<%@ Register Src="/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/DatePicker/WdatePicker.js" type="text/javascript"></script>
    <link href="/Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            divresize(90);
            FixedTableHeader("#table1", $(window).height() - 121);
        })
        function Get() {
            var start = $("#start").val();
            var end = $("#end").val();
            location.href = "QA_List.aspx?start=" + start + "&&end=" + end;
        }
        //删除
        function Delete() {
            var key = CheckboxValue();
            if (IsDelData(key)) {
                var delparm = 'action=Virtualdelete&module=<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_luntanMsg")%>&tableName=TKS_QA&pkName=QA_ID&pkVal=' + key;
                delConfig('/Ajax/Common_Ajax.ashx', delparm);
            }
        }
        //新增
        function add() {
            var url = "/Mall/QA/QA_Form.aspx";
            top.openDialog(url, 'QA_Form', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_luntanfatie")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Add")%>', 700, 400, 50, 50);
            //            window.location = url;
        }
        //编辑
        function edit() {
            var key = CheckboxValue();
            if (IsDelData(key)) {
                var url = "/Mall/QA/QA_Form.aspx?key=" + key;
                top.openDialog(url, 'QA_Form', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_luntanfatie")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Edit")%>', 700, 400, 50, 50);
            }
        }
        //审批
        function Check() {
            var key = CheckboxValue();
            if (IsDelData(key)) {
                getAjax('/Mall/QA/QA_Check.ashx', ('key=' + key), function (rs){
                if (rs == "1") {
                        showTipsMsg('审批成功', 1500, 4);
                        windowload();
                    } else {
                        showTipsMsg('审批失败', 1500, 5);
                    }
                }
           );
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div id="load">
        <div class="btnbartitle">
            <div>
                <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Mall_fatieguanli")%>
            </div>
          
        </div>
          <div class="btnbarcontetn">
                <div style="text-align: right;">
                    
                    <uc2:LoadButton ID="LoadButton1" runat="server" />
                </div>
            </div>
        <div class="div-body">
            <%=wintable%>
        </div>
        <uc1:PageControl ID="PageControl1" runat="server" />
    </div>
    </form>
</body>
</html>
